package com.ruoyi.ie.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ie.mapper.AEnrollUniversityMapper;
import com.ruoyi.ie.domain.AEnrollUniversity;
import com.ruoyi.ie.service.IAEnrollUniversityService;

/**
 * 院校考生考核方式总体Service业务层处理
 * 
 * @author voluntary
 * @date 2023-12-06
 */
@Service
public class AEnrollUniversityServiceImpl implements IAEnrollUniversityService 
{
    @Autowired
    private AEnrollUniversityMapper aEnrollUniversityMapper;

    /**
     * 查询院校考生考核方式总体
     * 
     * @param id 院校考生考核方式总体主键
     * @return 院校考生考核方式总体
     */
    @Override
    public AEnrollUniversity selectAEnrollUniversityById(Long id)
    {
        return aEnrollUniversityMapper.selectAEnrollUniversityById(id);
    }

    /**
     * 查询院校考生考核方式总体列表
     * 
     * @param aEnrollUniversity 院校考生考核方式总体
     * @return 院校考生考核方式总体
     */
    @Override
    public List<AEnrollUniversity> selectAEnrollUniversityList(AEnrollUniversity aEnrollUniversity)
    {
        return aEnrollUniversityMapper.selectAEnrollUniversityList(aEnrollUniversity);
    }

    /**
     * 新增院校考生考核方式总体
     * 
     * @param aEnrollUniversity 院校考生考核方式总体
     * @return 结果
     */
    @Override
    public int insertAEnrollUniversity(AEnrollUniversity aEnrollUniversity)
    {
        return aEnrollUniversityMapper.insertAEnrollUniversity(aEnrollUniversity);
    }

    /**
     * 修改院校考生考核方式总体
     * 
     * @param aEnrollUniversity 院校考生考核方式总体
     * @return 结果
     */
    @Override
    public int updateAEnrollUniversity(AEnrollUniversity aEnrollUniversity)
    {
        return aEnrollUniversityMapper.updateAEnrollUniversity(aEnrollUniversity);
    }

    /**
     * 批量删除院校考生考核方式总体
     * 
     * @param ids 需要删除的院校考生考核方式总体主键
     * @return 结果
     */
    @Override
    public int deleteAEnrollUniversityByIds(Long[] ids)
    {
        return aEnrollUniversityMapper.deleteAEnrollUniversityByIds(ids);
    }

    /**
     * 删除院校考生考核方式总体信息
     * 
     * @param id 院校考生考核方式总体主键
     * @return 结果
     */
    @Override
    public int deleteAEnrollUniversityById(Long id)
    {
        return aEnrollUniversityMapper.deleteAEnrollUniversityById(id);
    }
}
